<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WorkFormulas](./bitburner.workformulas.md) &gt; [gymGains](./bitburner.workformulas.gymgains.md)

## WorkFormulas.gymGains() method

**Signature:**

```typescript
gymGains(person: Person, gymType: GymType, locationName: LocationName): WorkStats;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  person | [Person](./bitburner.person.md) |  |
|  gymType | [GymType](./bitburner.gymtype.md) |  |
|  locationName | [LocationName](./bitburner.locationname.md) |  |

**Returns:**

[WorkStats](./bitburner.workstats.md)

The WorkStats applied every game cycle (200ms) by taking the specified gym class.

